# Class WAG

java.lang.Object
jebl.evolution.substmodel.AbstractRateMatrix
jebl.evolution.substmodel.AminoAcidModel
jebl.evolution.substmodel.WAG

All Implemented Interfaces:
  `Serializable, Cloneable, RateMatrix`

public class WAG extends AminoAcidModel
WAG model of amino acid evolution (S. Whelan and N. Goldman 2000)

Version:
  $Id: WAG.java 185 2006-01-23 23:03:18Z rambaut $
Author:
  Korbinian Strimmer, Alexei Drummond
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WAG(double[] f)`
constructor

## Method Summary

Modifier and Type
Method
Description
`static double[]`
`getOriginalFrequencies()`
`static void`
`getOriginalFrequencies(double[] f)`
get the frequencies of the original data set that formed the basis for the estimation of the rate matrix
`String`
`getUniqueName()`

### Methods inherited from class AbstractRateMatrix

`getDimension, getEquilibriumFrequencies, getEquilibriumFrequency, getRelativeRates, getSequenceType, getTransitionProbabilities, getTransitionProbability, rebuild, scale, setDistance, setDistanceTranspose, setParametersNoScale`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WAG

public WAG(double[] f)
constructor

Parameters:
  `f` - amino acid frequencies

## Method Details

### getOriginalFrequencies

public static void getOriginalFrequencies(double[] f)
get the frequencies of the original data set that formed the basis for the estimation of the rate matrix

Parameters:
  `f` - array where amino acid frequencies will be stored

### getOriginalFrequencies

public static double[] getOriginalFrequencies()

Returns:
  the frequencies of the original data set that formed the basis for the estimation of the rate matrix

### getUniqueName

public String getUniqueName()

Returns:
  a short unique human-readable identifier for this rate matrix.